### Constructor

# Ide Location new_with_offset

#### Declaration

    IdeLocation*
    ide_location_new_with_offset (
      GFile* file,
      gint line,
      gint line_offset,
      gint offset
    )

#### Description

No description available.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`line` | `gint`
| A line number starting from 0, or -1 if unknown.
`line_offset` | `gint`
| A line offset starting from 0, or -1 if unknown.
`offset` | `gint`
| A charcter offset in file starting from 0, or -1 if unknown.

#### Return value

Returns: | `IdeLocation`
| An `IdeLocation`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.